### Function

# Foundry shell_get_default

#### Declaration [src]

    const char*
    foundry_shell_get_default (
      void
    )

#### Description [src]

Gets the user preferred shell on the host.

If the background shell discovery has not yet finished due to slow or misconfigured getent on the host, this will provide a sensible fallback.

#### Return value

Type: `const char*`

A shell such as “/bin/sh”.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.